Subject: Re: bug#35783: Guile-Parted crashes the installer on i686-linux

From: Ludovic Courtès <[email-masked]>
Date: Fri, 17 May 2019 23:22:47 +0200

Ludovic Courtès <[email-masked]> skribis:

> On i686-linux, the installer crashes when it reaches the partitioning
> page with a null-pointer exception (or sometimes with a plain SIGSEGV),
> in the call to ‘partition-disk’ in ‘esp-partition?’.  Screenshots
> of two different crashes (null-pointer exception and SIGSEGV) attached.

Reverting 7d567af46b4e10ffafb1d0f76b524f5781460598 fixes the problem, so
I guess this has to do with the fact that the previous partition objects
(those listed in ‘initial-partitions’) are invalidated or something.

Now we need another way to address
<https://issues.guix.gnu.org/issue/35731>.

Ideas?

Thanks,
Ludo’.